Skip to main content
PATCH
Update multiple Credit Applications
Make sure you install our SDK first. You can find out how, and more here.

Authorizations

Authorization
string
header
required

Query Parameters

sort
string

sort by field

where
Where clause · object
required

pass a where query to constrain returned documents (complex type, see documentation)

Example:
limit
number

limit the returned documents to a certain number

page
number

get a specific page of documents

depth
number

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

Body

application/json
environment
enum<string>
required
Available options:
Production,
Development
updatedAt
string
required
createdAt
string
required
title
string | null
sendToTSG
boolean | null
state
enum<string> | null
Available options:
DRAFT,
SUBMITTED,
APPROVED,
DENIED,
CANCELLED
meta
sentToCustomer
boolean | null
rates
object[] | null
passesChecklist
boolean | null
requiredFields
enum<string>[] | null
Available options:
primaryApplicant,
primaryApplicant.currentResidence,
primaryApplicant.currentEmployment,
primaryApplicant.additionalIncome,
primaryApplicant.previousResidence,
primaryApplicant.previousEmployment,
coApplicant,
coApplicant.currentResidence,
coApplicant.currentEmployment,
coApplicant.additionalIncome,
coApplicant.previousResidence,
coApplicant.previousEmployment,
vehicle,
vehicle.lien,
financeAmount,
applicationType,
primaryApplicant.agreeTerms,
coApplicant.agreeTerms
missingFields
requestId
string | null
logs
object[] | null
autopayNumber
string | null
preApproval
applicationType
enum<string> | null
Available options:
REFINANCE,
PURCHASE,
LEASE_BUYOUT
financeAmount
number | null
downPayment
number | null
primaryApplicant
object
hasCoApplicant
boolean | null
coApplicant
object
vehicle
object
trades
(number | Trade · object)[] | null

Response

200 - application/json

ok

message
string
errors
string[]
docs
CreditApplication · object[]